      PROGRAM MAKEINPUT
C
C
C
C
C
      INTEGER I, J, LOUT
      DOUBLE PRECISION COMPO(7), MICRO (5), AC1, FIT1, FIT2
      CHARACTER ANSWER
C
      PARAMETER(LOUT=1)
C
C
      FIT1 = 1.3E-2
      FIT2 = 5.334
C
      PRINT *,'     This program prepares the formatted *inputfile*'
      PRINT *,'     to be used with the model *ausgrow.f*' 
C
      PRINT *,' '
      PRINT *,' '
C
C   ****COMPOSITION****
C
C
      PRINT *,' Composition of the steel studied (/wt.%)'
C
      PRINT *,' Carbon content?'
      READ *,COMPO(1)
C
      PRINT *,' Silicon content?'
      READ *,COMPO(2)
C
      PRINT *,' Manganese content?'
      READ *,COMPO(3)
C
      PRINT *,' Cromium content?'
      READ *,COMPO(4)
C
      PRINT *,' Nickel content?'
      READ *,COMPO(5)
C
      PRINT *,' Molybdenum content?'
      READ *,COMPO(6)
C
      PRINT *,' Vanadium content?'
      READ *,COMPO(7)
C
C   ****MICROSTRUCTURE****
C
C
      PRINT *,' Microstructure'
C
      PRINT *,' Average half-thickness of ferrite layers/grains?'
      READ *,MICRO(1)
C
      PRINT *,' Average pearlite spacing?'
      READ *,MICRO(3)
C
      PRINT *,' Pearlite colony diameter?'
      READ *,MICRO(5)
C
      MICRO(4) = MICRO(1)/((0.77/COMPO(1))-1)
C
      MICRO(2) = MICRO(1) + MICRO(4)
C
C  ****TRANSFORMATION START TEMPERATURE****
C
C
      PRINT *,' Lower critical temperature (Ac1)?'
      READ *,AC1
C
C  ****FITTING PARAMETER FOR NUCLEATION****
C
C
  20  PRINT *,' Is the fitting parameter ',FIT1, ' ?  (y/n)'
      READ *,ANSWER
C
      IF(ANSWER.EQ.'y') THEN 
C
         GOTO 10
C
      ELSE IF(ANSWER.EQ.'n') THEN
C
         PRINT *,' Input the fitting parameter '
         READ *,FIT1
C
      ELSE IF((ANSWER.NE.'y').AND.(ANSWER.NE.'N')) THEN
C
         PRINT *,'Please answer y or n'
C
         GOTO 20
C
      ENDIF
C
C  ****WRITING *inputfile* **** 
C
C
  10  CONTINUE
C
      OPEN(LOUT, FILE='inputfile3')
C
      WRITE(LOUT, 101) (COMPO(I), I=1, 7) 
      WRITE(LOUT, 102) (MICRO(J), J=1, 5)
      WRITE(LOUT, 103)  AC1
      WRITE(LOUT, 104)  FIT1, FIT2
C
      CLOSE(LOUT)
C
      PRINT *,'Input information written to "inputfile3" '
C
      STOP
C
  101 FORMAT(F5.3, 2X, F5.3, 2X, F5.3, 2X, F5.3, 2X, F5.3, 2X, 
     &        F5.3, 2X, F5.3) 
  102 FORMAT(E9.4, 2X, E9.4, 2X, E9.4, 2X, E9.4, 2X, E9.4,) 
  103 FORMAT(F5.1) 
  104 FORMAT(E9.4, 2X, E9.4)
C
      END
C
